# Geocpset

From PanoTools.org Wiki

## General and description

Geocpset is a tool for panoramas which contains featureless images, e.g. sky images. In this images a control point detector does not find control points. Geocpset analyses the positions of the images in project files. Then it adds control points to these images which are not connected by control points. The control points are set only be the geometric positions of the images and not by the image content. So geocpset should only used with projects which have assigned rough image positions.

## Usage

The general usage is

         geocpset -o output.pto input.pto

If the --output/-o switch is missing then the suffix "_geo" is added to the filename.

The indented workflow is

- First create project file using pto_gen

        pto_gen -o project.pto *.jpg

- Then assign rough positions to images with pto_var

        pto_var --set=y=i*20-40,p=0,r=0 -o project.pto project.pto

- Now run a "normal" control point detector, e.g. only on overlapping images with cpfind

        cpfind --prealigned -o project.pto project.pto

- And finally connect all unconnected images

        geocpset -o project.pto project.pto

## Options

- `-o|--output output.pto` Output a pto file with the given filename. If not given it will append "_geo" to the input filename.
- `-e|--each-overlap` By default geocpset adds only control points to unconnected images. With this switch you can force to add a geometric control point to each overlap, which is not connected by control points or linked with image positions.
- `--min-overlap=NUM` By default geocpset takes only image pairs into account which overlap more than 10 %. If you have very narrow overlaps you can decrease this value to take also such small overlaps into account, e.g. `--min-overlap=1`
- `-h | --help` Display help.

Retrieved from "https://wiki.panotools.org/index.php?title=Geocpset&oldid=15793"